Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00486 Sound Minor Have not tried Jan 30, 2008, 07:41 21 days ago
Tester sxevious View Status Public Platform
Assigned To Resolution Fixed OS
Status [?] Resolved Driver gottlieb.cpp
Version 0.109u4 Fixed in Version 0.181 Build
Summary 00486: qbertqub: missing sounds because the Q*bert sound roms are being used instead of the Q*bert's Qubes sound roms.
Description Q*bert's Qubes is missing sounds because the Q*bert sound roms are being used instead of the Q*bert's Qubes sound roms (which need to be dumped). Q*bert's Qubes is missing the sound of Q*bert tumbling off the cubes at the end of a level (sound code 29) and the sound of Q*bert being bounced back to the top after this (sound code 31). You can hear the two sounds in a recording from the arcade game. Tumbling and bouncing sounds start at 9 seconds and are followed by the level end ditty.
Steps To Reproduce
Additional Information Posted by sxevious.
Flags
Regression Version
Affected Sets / Systems qbertqub
Attached Files
mp3 file icon qbertqub0109u4gre.mp3 (339,069 bytes) Feb 14, 2008, 09:23
Relationships
There are no relationship linked to this issue.
Notes
8
User avatar
No.01750
aaron
Developer
Jul 22, 2008, 19:50
This has been fixed for a few versions now.
User avatar
No.03649
sxevious
Tester
Jan 25, 2009, 22:45
edited on: Jan 25, 2009, 22:47
This isn't fixed, while the Q*bert Qubes sound ROMs are now being used, sounds 29 (Q*bert tumbling) and 31 (Q*bert bouncing up) are still missing since they are Vortax SC-01 sounds and need to be sampled into wave files (fx_29.wav and fx_31.wav) since the SC-01 isn't emulated.
User avatar
No.03659
Radwar
Tester
Jan 27, 2009, 01:37
Perhaps you should create a new bug report since the reason it's still missing sound effects aren't the same as this bug report.
User avatar
No.03660
Tafoid
Administrator
Jan 27, 2009, 01:59
The missing samples would probably be covered by 02087.
There is still work being done in this driver and that bug covers the missing samples/sound.
User avatar
No.03661
sxevious
Tester
Jan 27, 2009, 04:09
Bug 02087 is a different issue as sounds 28 (Hello I'm turned on) and 36 (Bye bye) are present but aren't being played. This issue requires that sounds 29 and 31 be recorded and accessed by the gottlieb.c driver.
User avatar
No.04115
Tafoid
Administrator
Apr 1, 2009, 22:38
Reattaching sxevious to this bug report, since he was the one to report it before we had MANTIS but didn't have an account until recently. I'm also changing this to acknowledged in case a Dev would be nice enough to take the .wav and make some samples out of it.
User avatar
No.04119
sxevious
Tester
Apr 2, 2009, 21:15
I opened a new bug because this one was marked resolved and it was suggested that a new bug report be created.
User avatar
No.04123
Tafoid
Administrator
Apr 2, 2009, 22:16
Such requests are usually best followed only if made by Moderators or Developers. In any case, this is reopened until a Developer decides otherwise.